[Scipy-tickets] [SciPy] #1810: QHull module crashes on debian if QHull is already installed

SciPy Trac scipy-tickets@scipy....
Tue Jan 15 05:03:17 CST 2013


#1810: QHull module crashes on debian if QHull is already installed
----------------------------+-----------------------------------------------
 Reporter:  PierreBdR       |       Owner:  warren.weckesser
     Type:  defect          |      Status:  new             
 Priority:  high            |   Milestone:  0.12.0          
Component:  scipy.spatial   |     Version:  0.11.0          
 Keywords:  qhull segfault  |  
----------------------------+-----------------------------------------------
Changes (by pv):

  * milestone:  Unscheduled => 0.12.0


Comment:

 The git/master version of Scipy uses a library with qh_QHpointer.

 However, we should always use the bundled version, as the system
 library might be compiled with or without this #define depending
 on the distribution.

 Needs a change 'qhull' -> 'scipy_qhull' in the library name
 in setup.py

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1810#comment:2>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list